Subject: RE: FW: Crash on setup- Cygwin
From: Peter Buckley <[email-masked]>
To: "'Becker, Brian W'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 2 Aug 2001 15:06:53 -0400

Basically, you need all the utilities to be able to run. 
The dependencies are not ?published/explicit/known? 

The cygwin developers and list will ONLY provide support for a download 
and install of ALL the packages. Any one want to add to this? 

I think I remember a thread that discussed that the dependencies among the
packages 
would be added to setup functionality in the future (probably waiting 
for a volunteer to do this).

-Peter 

-----Original Message-----
From: Becker, Brian W [mailto:[email-masked]]
Sent: Thursday, August 02, 2001 2:06 PM
To: 'Peter Buckley'
Subject: RE: FW: Crash on setup- Cygwin

After several iterations I was finally able to get the utilities I needed,
only to get an error when starting any of the utilities that "cygwin1.dl
could not be found in the specified path", and indeed, the dll is not
present on my system.  I did not load all the utilities, just find
utilities, gawk, grep and sed (and later bash when I found the startup
script needed this).  What other utilities do I need to install in order to
get everything I need to run?
Brian Becker

 -----Original Message-----
From: 	Peter Buckley [mailto:[email-masked]] 
Sent:	Monday, July 23, 2001 2:07 PM
To:	Becker, Brian W
Subject:	Re: FW: Crash on setup- Cygwin

Sounds like a bug- post to the list, usually if you say the word "bug"
you will get lots of attention.

-Peter

"Becker, Brian W" wrote:
> 
> Running on a local drive causes the crash.  All 4 permutations of "File
> type" and "Install for..." cause the crash.  Closing all other apps causes
> the crash.  Trying to install from the Internet seems to cause it to hang,
> not crash.  I do have another colleague here who does not have the problem
> on his system (Win2000).  This is a temporary computer for me, so if you
> don't have a quick response I'll just wait until the new computer comes
(few
> weeks)...
> 
>         -----Original Message-----
>         From:   Peter Buckley [SMTP:[email-masked]]
>         Sent:   Monday, July 23, 2001 1:49 PM
>         To:     Becker, Brian W; [email-masked]
>         Subject:        Re: FW: Crash on setup- Cygwin
> 
>         Sorry, I should have specified "try sending it to the list" :-)
> 
>         I just thought I could facilitate a bit- I see lots of messages
like
>         this (and I imagine they get ignored), and maybe you aren't a
>         subscriber, so you don't know that people couldn't see your
message
> and
>         don't re-post.
> 
>         I don't know exactly what is causing your problem- so I am ccing
the
>         list on this email.
> 
>         Sounds like it might be a bug (setup.exe just got updated
> recently?)-
>         but have you done testing to check what conditions cause it? That
> would
>         be helpful to know.
> 
>         Have you tried using different options, like "Install from
> Internet",
>         and "text file type: UNIX", and "install for all users" (and
various
>         combos of these options)?
> 
>         Is your U: drive a network share? It might eliminate some
variables
> if
>         you try installing from a non-network drive.
> 
>         Try to narrow down the amount of stuff that could be going wrong
and
> let
>         us know- do you have any other windows programs running?
> 
>         Also, is SP4 considered "old" yet? I am using SP6...
> 
>         HTH,
>         Peter
> 
>         "Becker, Brian W" wrote:
>         >
>         > Here are the dialogs in a word document, as well as the text for
> it in the
>         > body of the email:
>         >
>         >  <<temp.doc>>
>         > When installing on my Win NT machine:
>         >
>         > 4.0, service pack 4
>         >
>         > I get a crash during setup.  I respond as follows to the menu
> choices:
>         >
>         > Version Screen, press Next
>         >
>         > Setup Screen, "Install from Local Directory", press Next
>         >
>         > Local Package Screen, select current location
> (U:\BeckerB\Downloads), press
>         > Next
>         >
>         > Setup Screen, directory C:/cygwin, Text File Type DOS, Install
for
> Just Me
>         >
>         > Cycwin.setup.exe - Application Error
>         >
>         > Crash:  The instruction at "0x0040256c" referenced memory at
> "0x00000000".
>         > The memory could not be "read".
>         >
>         > OK, Cancel
>         >
>         > Any ideas?
>         >
>         > Brian Becker
>         > [email-masked] <mailto:[email-masked]>
>         >
>         >         -----Original Message-----
>         >         From:   Peter Buckley [SMTP:[email-masked]]
>         >         Sent:   Monday, July 23, 2001 1:05 PM
>         >         To:     Becker, Brian W
>         >         Subject:        Re: FW: Crash on setup- Cygwin
>         >
>         >         I am on WinNT, using netscape for my mail. I don't see
> anything in
>         > your
>         >         mail after "menu choices". Try sending it as text.
>         >
>         >         -Peter
>         >
>         >         "Becker, Brian W" wrote:
>         >         >
>         >         > When installing on my Win NT machine:
>         >         >
>         >         > I get a crash during setup.  I respond as follows to
the
> menu
>         > choices:
>         >         >
>         >         > Any ideas?
>         >         >
>         >         > Brian Becker
>         >         > [email-masked]
> <mailto:[email-masked]>
>         >         >
>         >         > --
>         >         > Unsubscribe info:
> http://cygwin.com/ml/#unsubscribe-simple
>         >         > Bug reporting:         http://cygwin.com/bugs.html
>         >         > Documentation:         http://cygwin.com/docs.html
>         >         > FAQ:                   http://cygwin.com/faq/
>         >
>         >
> ------------------------------------------------------------------------
>         >                Name: temp.doc
>         >    temp.doc    Type: Microsoft Word Document
(application/msword)
>         >            Encoding: base64

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/